<?php
/**
 * Retrieve PayPal API credentials
 *
 * @access      public
 * @since       2.4
 */
function edd_recurring_get_paypal_api_credentials() {

	$prefix = 'live_';

	if ( edd_is_test_mode() ) {
		$prefix = 'test_';
	}

	$creds = array(
		'username'  => edd_get_option( $prefix . 'paypal_api_username' ),
		'password'  => edd_get_option( $prefix . 'paypal_api_password' ),
		'signature' => edd_get_option( $prefix . 'paypal_api_signature' )
	);

	return apply_filters( 'edd_recurring_get_paypal_api_credentials', $creds );
}